## org.eclipse.emf.ecore.xml.type.internal
Class DataValue.HexBin

    java.lang.Object
      org.eclipse.emf.ecore.xml.type.internal.DataValue.HexBin

Enclosing class:
  DataValue

    public static final class DataValue.HexBin

extends java.lang.Object

Constructor Summary
`DataValue.HexBin()`

Method Summary
`static byte[]` `decode(java.lang.String encoded)` Decode hex string to a byte array
`static java.lang.String` `encode(byte[] binaryData)` Encode a byte array to hex string

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataValue.HexBin

    public DataValue.HexBin()

Method Detail

### encode

    public static java.lang.String encode(byte[] binaryData)

  Encode a byte array to hex string

  Parameters:
    `binaryData` - array of byte to encode
  Returns:
    return encoded string

### decode

    public static byte[] decode(java.lang.String encoded)

  Decode hex string to a byte array

  Parameters:
    `encoded` - encoded string
  Returns:
    return array of byte to encode

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.